import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultActivitySettings {
  // available global parameters codes
  static const String parameterCodeTimerValue = 'timer';
  static const List<String> availableParameters = [
    parameterCodeTimerValue,
  ];

  // timer value: available values
  static const String timerValueMedium = 'medium';
  static const List<String> allowedTimerValues = [
    timerValueMedium,
  ];
  // timer value: default value
  static const String defaultTimerValue = timerValueMedium;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeTimerValue:
        return DefaultActivitySettings.allowedTimerValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
